import React from 'react';
import { withResponsive } from "../../../../responsive";
import { ClientSelector } from "./ClientSelector";
import { useClientSelectorProps } from "./hooks/useClientSelectorProps";
function ClientEditableBase(props) {
  var _useClientSelectorPro = useClientSelectorProps(props),
    selectorProps = _useClientSelectorPro.selectorProps;
  return /*#__PURE__*/React.createElement(ClientSelector, selectorProps);
}
ClientEditableBase.displayName = 'ClientEditable';
export var ClientEditable = withResponsive(ClientEditableBase);